type go.txt
pause

echo off

rem   takes a single SEABIRD cast and runs the chain of processing programs
rem   run as follows:  go <file.con> <name cruise> <file number>
rem   eg. go oc333 oc333 002
rem   After "SPLIT" the downgoing & upgoing casts are respectively in 
rem         "fname.cdn"  and "fname.cup"
rem  NOTE:  Must previously set up path to contain seasoft routines.
rem         Can do this (1 time only) by first running "SEA_PATH.BAT"
rem         Also, must have set up the ".cfg" files for each program
rem         you want to run in this directory!

datcnv -ic:\cruise\%2\%2%3 -cc:\cruise\%2\%1.con -oc:\cruise\%2\process\%2%3
   if errorlevel 1 goto abort

wildedit -ic:\cruise\%2\process\%2%3 -oc:\cruise\%2\process\%2%3
   if errorlevel 1 goto abort

rem binavg -ic:\cruise\%2\process\%2%3 -oc:\cruise\%2\process\%2%3
   rem if errorlevel 1 goto abort

rossum -ic:\cruise\%2\process\%2%3 -oc:\cruise\%2\process\%2%3
rem   if errorlevel 1 goto abort
rem   !!!! **** !!!! probably don't want to abort (cast may not have bottle) !!

derive -ic:\cruise\%2\process\%2%3 -oc:\cruise\%2\process\%2%3 -cc:\cruise\%2\process\%1.con
if errorlevel 1 goto abort
  rem  delete tesst.con

split -nd -ic:\cruise\%2\process\%2%3 -odc:\cruise\%2\process\down -ouc:\cruise\%2\process\up
      copy c:\cruise\%2\process\down.cnv c:\cruise\%2\process\%2%3.cdn
      copy c:\cruise\%2\process\up.cnv  c:\cruise\%2\process\%2%3.cup
   if errorlevel 1 goto abort


echo  "Press <ctrl>-c to exit or <enter> to distribute processed data to april on Oceanus."

pause

copy c:\cruise\%2\%2%3.dat f:\
copy c:\cruise\%2\%2%3.con f:\
copy c:\cruise\%2\%2%3.hdr f:\
copy c:\cruise\%2\process\%2%3.cup f:\process
copy c:\cruise\%2\process\%2%3.cdn f:\process
copy c:\cruise\%2\process\%2%3.cnv f:\process
copy c:\cruise\%2\process\%2%3.btl f:\process

goto end

:abort
   echo "batch process interrupted by user"

:end
   echo  "Press <ctrl>-c to exit or <enter> to return to SEASAVE."
   
rem    pause
rem   SEASAVE

