rem   file:  massbay.bat
rem   date:  Sep 20 1998
rem   auth:  J. Doutt
rem   modified for the LOOPS by Knut Streilien, MIT AUV Lab

rem   takes a single SEABIRD cast and runs the chain of processing programs
rem   run as follows:  process OC231002

rem   note: this file, 'MASSBAY.BAT', lives 1 directory down from the data
rem         and should be run from the  directory

rem  NOTE:  Must previously set up path to contain seasoft routines.
rem         Can do this (1 time only) by first running "SEA_PATH.BAT"

rem         Also, must have set up the ".cfg" files for each program
rem         you want to run in this directory!

datcnv -ic:\cruise\oc330\oc330%1 -cc:\cruise\oc330\oc330%1 -oc:\cruise\oc330\process\oc328%1
   if errorlevel 1 goto abort

wildedit -ic:\cruise\oc330\process\oc330%1 -oc:\cruise\oc330\process\oc330%1
   if errorlevel 1 goto abort

binavg -ic:\cruise\oc330\process\oc330%1 -oc:\cruise\oc330\process\oc330%1 -vp1
   
   if errorlevel 1 goto abort


copy c:\cruise\oc330\oc330%1.con c:\cruise\oc330\process\tesst.con
copy c:\cruise\oc330\process\tesst.con c:\cruise\oc330\process\oc330%1.con
derive -ic:\cruise\oc330\process\oc330%1 -oc:\cruise\oc330\process\oc330%1 -cc:\cruise\oc328\process\tesst
   if errorlevel 1 goto abort
   delete tesst.con


rem on oceanus, distribute the processed data to april for storage
copy c:\cruise\oc330\oc330%1.dat f:\
copy c:\cruise\oc330\oc330%1.bl f:\
copy c:\cruise\oc330\process\oc330%1.con f:\
copy c:\cruise\oc330\ctd%1.hdr f:
copy c:\cruise\oc330\process\oc330%1.cnv f:\process

goto end

:abort
   echo batch process interrupted by user

:end
