rem set the following to YES for batch processing (no pauses);  to NO otherwise
rem set BATCH=YES

rem type go.txt


rem  ******* No PAUSE for batch processing *******
rem if %BATCH%==YES  goto batch1
rem   pause
rem :batch1

echo off

rem   takes a single SEABIRD cast and runs the chain of processing programs
rem   run as follows:  go <file.con> <name cruise> <file number>
rem   eg. go oc333 oc333 002
rem   After "SPLIT" the downgoing & upgoing casts are respectively in 
rem         "fname.cdn"  and "fname.cup"

datcnv -ic:\cruise\%2\%2%3 -cc:\cruise\%2\%1.con -oc:\cruise\%2\process\%2%3
   if errorlevel 1 goto abort

wildedit -ic:\cruise\%2\process\%2%3 -oc:\cruise\%2\process\%2%3
   if errorlevel 1 goto abort

binavg -ic:\cruise\%2\process\%2%3 -oc:\cruise\%2\process\%2%3
   if errorlevel 1 goto abort

rem      constant file MUST be in the same directory as the input data
rem copy   c:\cruise\%2\%2.con   tesst.con
rem copy   c:\cruise\%2\%2.con process\tesst.con

rem rossum -ic:\cruise\%2\process\%2%3 -oc:\cruise\%2\process\%2%3  -c%2.con
rem   if errorlevel 1 goto abort
rem   !!!! **** !!!! probably don't want to abort (cast may not have bottle) !!

derive -ic:\cruise\%2\process\%2%3 -oc:\cruise\%2\process\%2%3  -c%2.con
if errorlevel 1 goto abort

split -nd -ic:\cruise\%2\process\%2%3 -odc:\cruise\%2\process\down -ouc:\cruise\%2\process\up
      copy c:\cruise\%2\process\down.cnv c:\cruise\%2\process\%2%3.cdn
      copy c:\cruise\%2\process\up.cnv  c:\cruise\%2\process\%2%3.cup
   if errorlevel 1 goto abort
      del  c:\cruise\%2\process\down.cnv
      del  c:\cruise\%2\process\up.cnv


rem echo  "Press <ctrl>-c to exit or <enter> to distribute processed data to april on Oceanus."

rem  ******* No PAUSE for batch processing *******
rem if %BATCH%==YES  goto batch2
rem    pause
rem :batch2

copy c:\cruise\%2\%2%3.dat f:\
copy c:\cruise\%2\%2%3.con f:\
copy c:\cruise\%2\%2%3.hdr f:\
copy c:\cruise\%2\process\%2%3.cup f:\process
copy c:\cruise\%2\process\%2%3.cdn f:\process
copy c:\cruise\%2\process\%2%3.cnv f:\process
rem copy c:\cruise\%2\process\%2%3.btl f:\process
print c:\cruise\%2\%2%3.hdr
rem print f:\process\%2%3.btl
rem goto end

rem :abort
rem    echo "batch process interrupted by user"

rem :end
rem    echo  "Press <ctrl>-c to exit or <enter> to return to SEASAVE."

rem  ******* No PAUSE for batch processing *******
rem if %BATCH%==YES  goto batch3
rem     pause
rem     SEASAVE
rem :batch3
