rem   file:  process.bat
rem   date:  6 April 1998
rem   auth:  J. Doutt

rem   takes a single SEABIRD cast and runs the chain of processing programs
rem   run as follows:  process OC231002

rem   note: this file, 'PROCESS.BAT', lives 1 directory down from the data
rem         and should be run from the "process.bat' directory

rem   After "SPLIT" the downgoing & upgoing casts are respectively in 
rem         "fname.cdn"  and "fname.cup"


rem  NOTE:  Must previously set up path to contain seasoft routines.
rem         Can do this (1 time only) by first running "SEA_PATH.BAT"

rem         Also, must have set up the ".cfg" files for each program
rem         you want to run in this directory!

datcnv -ic:\cruise\oc324\ctd%1 -cc:\cruise\oc324\ctd%1 -oc:\cruise\oc324\process\bin%1
   if errorlevel 1 goto abort

goto end

:abort
   echo batch process interrupted by user

:end
